AI Driving Olympics Home Challenges Submissions

Submission 11472

Submission11472
Competingyes
Challengeaido5-LF-sim-validation
UserRaphael Jean
Date submitted
Last status update
Completecomplete
DetailsEvaluation is complete.
Sisters
Result💚
JobsLFv-sim: 54512
Next
User labelsim-exercise-2
Admin priority50
Blessingn/a
User priority50

54512

Click the images to see detailed statistics about the episode.

LF-norm-loop-000

LF-norm-small_loop-000

LF-norm-techtrack-000

LF-norm-zigzag-000

Evaluation jobs for this submission

See previous jobs for previous versions of challenges
Job IDstepstatusup to datedate starteddate completeddurationmessage
54512LFv-simsuccessyes0:41:55
Artefacts hidden. If you are the author, please login using the top-right link or use the dashboard.
driven_lanedir_consec_median0.0
survival_time_median59.99999999999873
deviation-center-line_median1.2422730096440104
in-drivable-lane_median0.0


other stats
agent_compute-ego0_max0.01313009210470614
agent_compute-ego0_mean0.012087980327161523
agent_compute-ego0_median0.012049783377921352
agent_compute-ego0_min0.011122262448097248
complete-iteration_max0.33779580428340256
complete-iteration_mean0.28804490359796275
complete-iteration_median0.29659190225561494
complete-iteration_min0.2212000055972186
deviation-center-line_max4.053503393024394
deviation-center-line_mean1.731069028434027
deviation-center-line_min0.386226701423694
deviation-heading_max27.859809596736422
deviation-heading_mean14.925250437835436
deviation-heading_median14.309269950178932
deviation-heading_min3.22265225424745
driven_any_max2.6645352591003757e-13
driven_any_mean1.9984014443252818e-13
driven_any_median2.6645352591003757e-13
driven_any_min0.0
driven_lanedir_consec_max0.000286102294921875
driven_lanedir_consec_mean7.152557373046875e-05
driven_lanedir_consec_min0.0
driven_lanedir_max0.000286102294921875
driven_lanedir_mean7.152557373046875e-05
driven_lanedir_median0.0
driven_lanedir_min0.0
get_duckie_state_max1.2959171393630309e-06
get_duckie_state_mean1.229215521895816e-06
get_duckie_state_median1.2372554490012393e-06
get_duckie_state_min1.1464340502177548e-06
get_robot_state_max0.003877596890896584
get_robot_state_mean0.0036725159191668385
get_robot_state_median0.003621586454996558
get_robot_state_min0.003569293875777652
get_state_dump_max0.004758468377004555
get_state_dump_mean0.004667546230986354
get_state_dump_median0.004722036688055821
get_state_dump_min0.00446764317082922
get_ui_image_max0.03466085351377006
get_ui_image_mean0.029880977490859464
get_ui_image_median0.030167561883632583
get_ui_image_min0.024527932682402623
in-drivable-lane_max0.0
in-drivable-lane_mean0.0
in-drivable-lane_min0.0
per-episodes
details{"LF-norm-loop-000-ego0": {"driven_any": 2.6645352591003757e-13, "get_ui_image": 0.0270555273480062, "step_physics": 0.2040399280217764, "survival_time": 59.99999999999873, "driven_lanedir": 0.0, "get_state_dump": 0.00446764317082922, "get_robot_state": 0.003609089331265592, "sim_render-ego0": 0.003737435948342507, "get_duckie_state": 1.2766610176537457e-06, "in-drivable-lane": 0.0, "deviation-heading": 22.66279310353771, "agent_compute-ego0": 0.012118746894880891, "complete-iteration": 0.2676491243059093, "set_robot_commands": 0.002208065331528129, "deviation-center-line": 4.053503393024394, "driven_lanedir_consec": 0.0, "sim_compute_sim_state": 0.008318963793294812, "sim_compute_performance-ego0": 0.0020113070739695275}, "LF-norm-zigzag-000-ego0": {"driven_any": 0.0, "get_ui_image": 0.03466085351377006, "step_physics": 0.2632287995801381, "survival_time": 59.99999999999873, "driven_lanedir": 0.000286102294921875, "get_state_dump": 0.004711567611122608, "get_robot_state": 0.0036340835787275257, "sim_render-ego0": 0.003854273360138829, "get_duckie_state": 1.1978498803487329e-06, "in-drivable-lane": 0.0, "deviation-heading": 27.859809596736422, "agent_compute-ego0": 0.011980819860961812, "complete-iteration": 0.33779580428340256, "set_robot_commands": 0.002155065933532461, "deviation-center-line": 1.0457540566888746, "driven_lanedir_consec": 0.000286102294921875, "sim_compute_sim_state": 0.01146713025762477, "sim_compute_performance-ego0": 0.002018448712923048}, "LF-norm-techtrack-000-ego0": {"driven_any": 2.6645352591003757e-13, "get_ui_image": 0.033279596419258976, "step_physics": 0.2527074148811766, "survival_time": 59.99999999999873, "driven_lanedir": 0.0, "get_state_dump": 0.004732505764989035, "get_robot_state": 0.003877596890896584, "sim_render-ego0": 0.003977287024085865, "get_duckie_state": 1.2959171393630309e-06, "in-drivable-lane": 0.0, "deviation-heading": 3.22265225424745, "agent_compute-ego0": 0.01313009210470614, "complete-iteration": 0.32553468020532056, "set_robot_commands": 0.0023561111596303616, "deviation-center-line": 1.4387919625991463, "driven_lanedir_consec": 0.0, "sim_compute_sim_state": 0.009256294426771129, "sim_compute_performance-ego0": 0.002126644493439712}, "LF-norm-small_loop-000-ego0": {"driven_any": 2.6645352591003757e-13, "get_ui_image": 0.024527932682402623, "step_physics": 0.1635524847426085, "survival_time": 59.99999999999873, "driven_lanedir": 0.0, "get_state_dump": 0.004758468377004555, "get_robot_state": 0.003569293875777652, "sim_render-ego0": 0.0036425981593072466, "get_duckie_state": 1.1464340502177548e-06, "in-drivable-lane": 0.0, "deviation-heading": 5.955746796820156, "agent_compute-ego0": 0.011122262448097248, "complete-iteration": 0.2212000055972186, "set_robot_commands": 0.002177509439676429, "deviation-center-line": 0.386226701423694, "driven_lanedir_consec": 0.0, "sim_compute_sim_state": 0.005794703017464288, "sim_compute_performance-ego0": 0.001974933649677718}}
set_robot_commands_max0.0023561111596303616
set_robot_commands_mean0.0022241879660918453
set_robot_commands_median0.002192787385602279
set_robot_commands_min0.002155065933532461
sim_compute_performance-ego0_max0.002126644493439712
sim_compute_performance-ego0_mean0.0020328334825025014
sim_compute_performance-ego0_median0.002014877893446288
sim_compute_performance-ego0_min0.001974933649677718
sim_compute_sim_state_max0.01146713025762477
sim_compute_sim_state_mean0.008709272873788748
sim_compute_sim_state_median0.00878762911003297
sim_compute_sim_state_min0.005794703017464288
sim_render-ego0_max0.003977287024085865
sim_render-ego0_mean0.003802898622968612
sim_render-ego0_median0.003795854654240668
sim_render-ego0_min0.0036425981593072466
simulation-passed1
step_physics_max0.2632287995801381
step_physics_mean0.2208821568064249
step_physics_median0.2283736714514765
step_physics_min0.1635524847426085
survival_time_max59.99999999999873
survival_time_mean59.99999999999873
survival_time_min59.99999999999873
No reset possible
54511LFv-simhost-erroryes0:40:53
Uncaught exception w [...]
Uncaught exception while running Docker Compose:
Traceback (most recent call last):
  File "/usr/local/lib/python3.8/dist-packages/urllib3/connectionpool.py", line 421, in _make_request
    six.raise_from(e, None)
  File "<string>", line 3, in raise_from
  File "/usr/local/lib/python3.8/dist-packages/urllib3/connectionpool.py", line 416, in _make_request
    httplib_response = conn.getresponse()
  File "/usr/lib/python3.8/http/client.py", line 1347, in getresponse
    response.begin()
  File "/usr/lib/python3.8/http/client.py", line 307, in begin
    version, status, reason = self._read_status()
  File "/usr/lib/python3.8/http/client.py", line 268, in _read_status
    line = str(self.fp.readline(_MAXLINE + 1), "iso-8859-1")
  File "/usr/lib/python3.8/socket.py", line 669, in readinto
    return self._sock.recv_into(b)
socket.timeout: timed out

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
  File "/usr/local/lib/python3.8/dist-packages/requests/adapters.py", line 439, in send
    resp = conn.urlopen(
  File "/usr/local/lib/python3.8/dist-packages/urllib3/connectionpool.py", line 719, in urlopen
    retries = retries.increment(
  File "/usr/local/lib/python3.8/dist-packages/urllib3/util/retry.py", line 400, in increment
    raise six.reraise(type(error), error, _stacktrace)
  File "/usr/local/lib/python3.8/dist-packages/urllib3/packages/six.py", line 735, in reraise
    raise value
  File "/usr/local/lib/python3.8/dist-packages/urllib3/connectionpool.py", line 665, in urlopen
    httplib_response = self._make_request(
  File "/usr/local/lib/python3.8/dist-packages/urllib3/connectionpool.py", line 423, in _make_request
    self._raise_timeout(err=e, url=url, timeout_value=read_timeout)
  File "/usr/local/lib/python3.8/dist-packages/urllib3/connectionpool.py", line 330, in _raise_timeout
    raise ReadTimeoutError(
urllib3.exceptions.ReadTimeoutError: UnixHTTPConnectionPool(host='localhost', port=None): Read timed out. (read timeout=60)

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
  File "/usr/local/lib/python3.8/dist-packages/duckietown_challenges_runner/runner.py", line 1178, in run_one
    stats = container.stats(stream=False)
  File "/usr/local/lib/python3.8/dist-packages/docker/models/containers.py", line 418, in stats
    return self.client.api.stats(self.id, **kwargs)
  File "/usr/local/lib/python3.8/dist-packages/docker/utils/decorators.py", line 19, in wrapped
    return f(self, resource_id, *args, **kwargs)
  File "/usr/local/lib/python3.8/dist-packages/docker/api/container.py", line 1125, in stats
    return self._result(self._get(url, params={'stream': False}),
  File "/usr/local/lib/python3.8/dist-packages/docker/utils/decorators.py", line 46, in inner
    return f(self, *args, **kwargs)
  File "/usr/local/lib/python3.8/dist-packages/docker/api/client.py", line 230, in _get
    return self.get(url, **self._set_request_timeout(kwargs))
  File "/usr/local/lib/python3.8/dist-packages/requests/sessions.py", line 543, in get
    return self.request('GET', url, **kwargs)
  File "/usr/local/lib/python3.8/dist-packages/requests/sessions.py", line 530, in request
    resp = self.send(prep, **send_kwargs)
  File "/usr/local/lib/python3.8/dist-packages/requests/sessions.py", line 643, in send
    r = adapter.send(request, **kwargs)
  File "/usr/local/lib/python3.8/dist-packages/requests/adapters.py", line 529, in send
    raise ReadTimeout(e, request=request)
requests.exceptions.ReadTimeout: UnixHTTPConnectionPool(host='localhost', port=None): Read timed out. (read timeout=60)
Artefacts hidden. If you are the author, please login using the top-right link or use the dashboard.
No reset possible
54507LFv-simsuccessyes0:43:09
Artefacts hidden. If you are the author, please login using the top-right link or use the dashboard.
No reset possible
54506LFv-simsuccessyes0:40:55
Artefacts hidden. If you are the author, please login using the top-right link or use the dashboard.
No reset possible